Subject: Re: bug#22988: 25.0.92; toggle-frame-maximized ignores panel on mac OSX
From: Anders Lindgren <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 22 Mar 2016 20:25:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I just checked in a fix for this on the emacs-25 branch.

See
http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=e643977b6b99466bfa872b61a4101d9937615876
for details.

    -- Anders

On Tue, Mar 15, 2016 at 8:35 PM, Anders Lindgren <[email-masked]> wrote:

> Hi!
>
> I can confirm that I see the the problem. However, "Automatically hide and
> show the Dock" option in the OS X system preferences must be disabled.
>
> The same problem occurs when Alt-clicking the green zoom icon.
>
> This is probably caused by the following commit:
>
>
> http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=ba24d35a3e82cdeba4be5bd794f7f48bbfa5498e
>
> It was intended to ensure that `toggle-frame-maximized' used the full
> height of the screen -- earlier it left a few pixels at the bottom even
> when the dock was hidden. However, it clearly didn't take inte account the
> case when the dock was visible.
>
>     -- Anders
>
>